package org.example;

public abstract class Entity {
    private int damage;
    private int pvMax;
    private int pv;
    private int endurance;
    private static final int MAX_ENDURANCE = 3;

    public Entity(){
        this.endurance = MAX_ENDURANCE;
    }


    public void heal(){
        this.pv += this.pvMax/3;
    } 

    public int getDamage() {
        return this.damage;
    }

    public void setDamage(int damage) {
        this.damage = damage;
    }

    public int getPvMax() {
        return this.pvMax;
    }

    public void setPvMax(int pvMax) {
        this.pvMax = pvMax;
    }

    public int getPv() {
        return this.pv;
    }

    public void setPv(int pv) {
        this.pv = pv;
    }

    public int getEndurance() {
        return this.endurance;
    }

    public void setEndurance(int endurance) {
        this.endurance = endurance;
    }

    public boolean isAlive(){
        return (this.pv > 0);
    }
}
